variables:
  GIT_STRATEGY: clone

stages:
  - Verify

verify:
  stage: Verify
  image: registry.gitlab.com/arise-biodiversity/arise-ui:docker-latest
  services:
    - docker:dind
  before_script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
  script:
    - |+
      set -x

      apk add python3 py3-requests

      ./scripts/generate.py

      if [ ! -z "$(git status --porcelain --untracked-files=no)" ]; then
        echo "Run scripts/generate.py before creating a release"
        exit 1
      fi

      ./scripts/verify.py ${CI_COMMIT_TAG:-}
